curl --request PATCH \
--url https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/agent \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "3791078D92DF1FA5DE5F703345153GA2"
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/agent"
payload = { "agentId": "3791078D92DF1FA5DE5F703345153GA2" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/agent");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"agentId\": \"3791078D92DF1FA5DE5F703345153GA2\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/agent")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"agentId\": \"3791078D92DF1FA5DE5F703345153GA2\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/agent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'agentId' => '3791078D92DF1FA5DE5F703345153GA2'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({agentId: '3791078D92DF1FA5DE5F703345153GA2'})
};
fetch('https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "SUCCESS",
"message": "Call transferred successfully."
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Bad request"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"status": "ERROR",
"message": "Destination for given transfer is not found."
}{
"status": "ERROR",
"message": "Given destination for transfer is currently not available."
}{
"status": "ERROR",
"message": "Conference is missing for given conversationId."
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Transfer call to another agent
Use this method to transfer a call to another agent. Please note that the targeted agent must be available for the transfer to succeed. The conversation will be assigned to the targeted agent once they answer the call. More info.
Required scope: Enable one of: conversations:manage.
curl --request PATCH \
--url https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/agent \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "3791078D92DF1FA5DE5F703345153GA2"
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/agent"
payload = { "agentId": "3791078D92DF1FA5DE5F703345153GA2" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/agent");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"agentId\": \"3791078D92DF1FA5DE5F703345153GA2\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/agent")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"agentId\": \"3791078D92DF1FA5DE5F703345153GA2\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/agent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'agentId' => '3791078D92DF1FA5DE5F703345153GA2'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({agentId: '3791078D92DF1FA5DE5F703345153GA2'})
};
fetch('https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "SUCCESS",
"message": "Call transferred successfully."
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Bad request"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"status": "ERROR",
"message": "Destination for given transfer is not found."
}{
"status": "ERROR",
"message": "Given destination for transfer is currently not available."
}{
"status": "ERROR",
"message": "Conference is missing for given conversationId."
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Conversation ID whose call is being transferred.
Body
Id of the agent to whom a call should be transferred.
"3791078D92DF1FA5DE5F703345153GA2"